Filewatcher File Search File Search
Catalog
Content Search
» » » » » kde-runtime-dbg_4.8.4-2_i386.deb » Content »
pkg://kde-runtime-dbg_4.8.4-2_i386.deb:26613750/usr/share/doc/kde-runtime-dbg/  info  control  downloads

kde-runtime-dbg - debugging symbols for KDE base runtime module…  more info»

changelog.Debian.gz

kde-runtime (4:4.8.4-2) unstable; urgency=low

  * The package rebuild will use xz compression (Closes: #688758).

  [ Pino Toscano ]
  * Backport upstream commit 9145b51c1cc4e9ecd273e8eb41de1bbcdd607e35 to not
    claim thumbnail support for the image/x-wmf and image/x-xfig mimetypes;
    patch upstream_Remove-image-x-wmf-and-image-x-xfig-from-image-thumb.patch.
  * Backport upstream commit d9234cca36319cb6895d4a7d36030a95923d1373 (from
    the nepomuk-core repository) to remove a spammy "FIXME" debug message;
    patch upstream_Remove-a-FIXME-debug-message.patch. (Closes: #677625)

  [ Lisandro Damián Nicanor Pérez meyer ]
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Oct 2012 17:33:47 -0300

kde-runtime (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Modestas Vainius ]
  * Switch transitional kdebase-runtime to Priority: extra.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Update installed files.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:23:03 +0300

kde-runtime (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Add libqca2-dev to build dependecies.
  * Update not-installed files.
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 19:53:12 +0300

kde-runtime (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Update uploaders, remove Armin.

  [ Felix Geyer ]
  * Drop /usr/bin/trash4 symlink since it's not needed anymore and was broken
    anyway. (Closes: #573441)
  * Don't build the phonon xine kcm since the xine backend has been removed.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 17:34:57 +0100

kde-runtime (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.7.4.
  * Add myself to uploaders.

  [ José Manuel Santamaría Lema ]
  * Bump shared-desktop-ontologies kde-runtime dependency to 0.8.
  * kdebase-runtime and kdebase-runtime-dbg dummy packages are now in section
    "oldlibs."

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:40:20 +0100

kde-runtime (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove patch dont_show_netattach_outside_kde.diff, it has been merged
    upstream.
  * Bump build dependencies:
    - shared-desktop-ontologies to >= 0.7.
    - kdelibs5-dev to >= 4:4.7.
  * Upstream re-included nepomukcontroller, we can close the ITP
    (Closes: #611309).

  [ Daniele E. Domenichelli ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.7.2.
  * Update dependencies:
    - Add libqtwebkit-dev.
    - Add libqzeitgeist-dev.
    - Bump libsoprano-dev to 2.6.50.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Rename source package from kdebase-runtime to kde-runtime in order
    to match upstream naming.
  * Rename the following binary packages:
    - kdebase-runtime -> kde-runtime
    - kdebase-runtime-data -> kde-runtime-data
  * Add the following dummy packages (which depend on kde-runtime-*):
    - kdebase-runtime
    - kdebase-runtime-dbg
  * Update Vcs-* fields.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:18 -0300

kdebase-runtime (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.5.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:55 +0300

kdebase-runtime (4:4.6.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Fix typo in debian/control: s/COnflicts/Conflicts/. Thanks to Jonathan
    Thomas.

  [ Pino Toscano ]
  * Add finger as suggestion of kdebase-runtime (for the finger kioslave).
  * Change libjpeg62-dev build-dependency to libjpeg-dev.

  [ José Manuel Santamaría Lema ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 13:05:46 +0300

kdebase-runtime (4:4.6.3-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.3.
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 03:11:17 +0300

kdebase-runtime (4:4.6.2-1) experimental; urgency=low

  * New upstream release:
    - fixes webdav ioslave wrong deletion and renaming of folders
      (Closes: #593833)
    - plasmapkg doesn't translate package types anymore (Closes: #573806)
    - there is no more Nepomuk indexing icon (Closes: #583085)

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Remove sequence number from debian/patches/*.
  * Drop ksvgtopng4.diff patch: no longer needed as KDE 3 is gone. Add
    conflicts with kdelibs4-dev and kdelibs-dbg, fix install file.
  * Disable testsuite.
  * Remove a link to common-licenses/BSD from debian/copyright.
  * No longer do custom phonon setup.
  * kdebase-runtime: move Depends, Recommends, Suggests above Replaces.
  * Make kdebase-runtime depend on oxygen-icon-theme 4.6.
  * kdebase-runtime-data breaks plasma-widget-networkmanagement earlier than
    0.1+git20110318.941cde9-1+.
  * Add kdebase-workspace-dbg (<< 4:4.6) to kdebase-runtime-dbg
    Replaces/Breaks due to moved kded_networkstatus.
  * Add kdebase-workspace-bin (<< 4:4.6) to kdebase-runtime Replaces/Breaks
    due to moved kded_networkstatus.
  * Bump debhelper build dependency to 7.3.16.
  * Clean up Replaces/Breaks which predate squeeze and can be cleaned up.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Refresh patches.
  * Update installed files.
  * Add Breaks/Replaces:
    - kdebase-runtime-data replaces kdelibs5-data << 4:4.5.0
      due to moved kcmremotewidgets data files.
    - kdebase-runtime replaces kdelibs5-plugins << 4:4.5.0 and
      kdelibs5 << 4:4.4.0 due to moved kcmremotewidgetshelper
      and kdontchangethehostname executables.
    - kdebase-runtime-dbg replaces kdelibs5-dbg << 4:4.5.0
      due to the moved executables mentioned above.
  * Bump build depedencies versions: kdelibs5-dev to version
    4:4.6 and libsoprano-dev to version 2.4.63.
  * Remove unused build dependencies:
    - libclucene-dev
    - libxcb1-dev
    - libqt4-opengl-dev
  * Re-wrap khelpcenter4's extended description to fix lintian warning.
  * Cleanup unused lintian overrides.

  [ José Manuel Santamaría Lema ]
  * Bump S-V to 3.9.1:
    - update Breaks/Replaces/Conflicts to conform to new policy.
  * Add Breaks/Replaces:
    - kdebase-runtime-data replaces plasma-widget-networkmanagement <<
      0.1+git20110422.810bc16-1+ because they both install
      /usr/share/kde4/apps/desktoptheme/default/icons/network.svgz
    - kdebase-runtime-data replaces kdebase-workspace-bin (<< 4:4.5.95)
      because of /usr/share/kde4/services/kded/networkstatus.desktop
    - kdebase-runtime(-data) replaces plasma-netbook (<< 4:4.5.95)
      because of plasma_containment_newspaper.{so,desktop}
  * Update installed files.
  * Call dh_xine in rules, kde-config-phonon-xine now depends on
    ${xine-x:Depends} (Closes: #575120)
  * Bump build dependency on libphonon-dev to 4:4.6.0really4.4.3
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.2
  * Remove stating articles from short descriptions.
  * Update lintian overrides.
  * Add myself to Uploaders.
  
  [ Pino Toscano ]
  * Add build dependencies:
    - libntrack-qt4-dev
    - libcanberra-dev
    - libnm-util-dev
    - network-manager-dev
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
  * Drop the hal recommend from kdebase-runtime, as now libsolid has the right
    depends/recommends.
  * Add ${misc:Depends} for kdebase-runtime-dbg.
  * Tighten the libsoprano-dev, libexiv2-dev, shared-desktop-ontologies, and
    libpulse-dev build-dendencies to the versions required upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:39 +0300

kdebase-runtime (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Sune Vuorela ]
  * KNetattach is in kde4 libexec dir, so the desktop file should not be
    available outside kde, else it can't be found. (Closes: #582844)
  * Finally move to my debian.org address.
  * Remove the 04_attica_0.1.4_compat.diff. applied upstreams.
  * Update some descriptions

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Jul 2010 19:00:50 +0300

kdebase-runtime (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Add 04_attica_0.1.4_compat.diff patch which fixes FTBFS with attica >=
    0.1.4 (Closes: #583019). Bump build dependency on libattica-dev to 0.1.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:13 +0300

kdebase-runtime (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Improve grammar in the description of the plasma-scriptentine-javascript
    package (Closes: #576711).
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:51 +0300

kdebase-runtime (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - DrKonqi no longer reports kscreenlocker crashes to the wrong component at
      bugs.kde.org. (Closes: #575718)
    - Soprano no longer crashes on nested analysis results. (Closes: #571721)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * libkdeinit4_*.so have been moved to private directory (Closes: #553117).
  * Make kdebase-runtime depend on kdelibs5-plugins.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Make kdebase-runtime depend on plasma-scriptengine-javascript (addresses
    aseigo complaints in his blog).
  * Bump oxygen-icon-theme dependency to 4:4.4.
  * Make /usr/share/services/khelpcenter.desktop symlink relative.
  * Exclude attica_kde.so from kdebase-runtime shlibs.
  * Move knetattach.desktop to kdebase-runtime "near" its executable.
    (Closes: #517769)
  * Add lintian-overrides for kdebase-runtime and khelpcenter4.
  * Add ${perl:Depends} and ${misc:Depends} as needed.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Make kdebase-runtime recommend virtuoso-minimal.

  [ Pino Toscano ]
  * Drop pmount recommend, no more used now. (Closes: #557424)
  * kdebase-runtime does not use kdepimlibs, so kdebase-runtime-dbg does not
    need to depend on kdepimlibs-dbg, but just kdelibs5-dbg. (Closes: #466167)
  * "javascript" -> "JavaScript" in plasma-scriptengine-javascript
    descriptions. (Closes: #567166)
  * Drop kfreebsd-gnu and hurd alternatives for hal recommend, as hal is
    available on these architectures now.
  * Add icoutils suggest to kdebase-runtime, as it contains a thumbnailer for
    icons in Windows executables which uses wrestool and icotool.

  [ George Kiagiadakis ]
  * Drop backported patch 00_1034807_4.4_backport_rtldglobal.diff.
  * Refresh patch 25_khelp_htdig.diff.
  * Add patch 03_disable_usr_lib_install_rpath.diff to disable
    setting RPATH to /usr/lib for the phonon platform plugin.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Bump libsoprano-dev build dependency to >= 2.3.70.
  * Bump libphonon-dev build dependency to >= 4:4.6.0really4.3.80.
  * Add build-dependencies to libattica-dev, libssh-dev, libexiv2-dev.
  * Drop libknotificationitem-1-dev build-dependency.
  * Update installed files.
  * Add build and runtime dependency to shared-desktop-ontologies.

  [ Jonathan Thomas ]
  * Split the KCM for the Phonon Xine backend into a separate package from the
    kdebase-runtime binary package to prevent all of KDE from depending on Xine.
    (Closes: #559748)

  [ Ryan Kavanagh ]
  * Update and apply Martin Olsen's patch to add a manpage for
    /usr/bin/kioclient (Closes: #493054).

  [ Ferdinand Thommes ]
  * updated copyright

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 16:21:50 +0300

kdebase-runtime (4:4.3.4-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Make kdebase-runtime conflict with kdebase-kio-plugins due to ktrash
    (Closes: #560291).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 10 Dec 2009 12:35:30 +0200

kdebase-runtime (4:4.3.4-1) unstable; urgency=low

  * New upstream release

  +++ Changes by Xavier Vello:

  * Added khelpcenter.desktop to /usr/share/services to enable khelpcenter4
    support in kde3 apps

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Pino Toscano:

  * Add liblzma-dev build-depend to add XZ support.

  +++ Changes by Sune Vuorela:

  * Remove the ktrash debian renaming. Not needed since we got rid of kde3
    kdebase in unstable.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Update install files.
  * Backport a patch from KDE 4.4 to make it possible to use kstyles
    with RTLD_GLOBAL. Unbreaks openoffice.org (Closes: #550905) (patch
    00_1034807_4.4_backport_rtldglobal.diff, kdebase-runtime part).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:05 +0200

kdebase-runtime (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Oct 2009 15:15:35 +0200

kdebase-runtime (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Add kcontrol to kdebase-runtime Replaces.
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Bump KDE build dependencies to 4.3.1.
  * Update debian/not-installed.
  * Update install files.
  * Do not ship Dbus intefaces XMLs. There is no dev package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Aug 2009 21:06:19 +0300

kdebase-runtime (4:4.3.0-2) unstable; urgency=medium

  +++ Changes by Modestas Vainius:

  * Merge kdebase-runtime-data-common to kdebase-runtime-data.
  * Merge kdebase-runtime-bin-kde4 to kdebase-runtime.
  * kdebase-runtime conflicts with kcontrol. (Closes: #540009).
  * Urgency medium due to RC bugfix.
  * Add build depend on libslp-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 05 Aug 2009 13:30:30 +0200

kdebase-runtime (4:4.3.0-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Bump libsoprano-dev build dependency version to >= 2.3.0.
  * Update installed files.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build depends to >= 4.3.0.
  * Update packaging copyright in debian/copyright.
  * Update Standards-Version to 3.8.2, no changes required.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 09:05:51 +0200

kdebase-runtime (4:4.2.96-1) experimental; urgency=low

  * New upstream release candidate 2

  +++ Changes by George Kiagiadakis:

  * Bump build-dependency on kdelibs5-dev to version 4.2.95.
  * Bump build-dependency on libsoprano-dev to version 2.2.67.
  * Add build-dependency on libknotificationitem-1-dev.
  * Refresh patches.
  * Remove patch 04_disable_debug_by_default.diff.
  * Update installed files.
  * Move package plasma-scriptengine-javascript from kdebase-workspace
    to kdebase-runtime as the sources for this component were moved upstream.
  * Add replaces: kdebase-runtime replaces kdebase-workspace-bin (<< 4.2.90)
    and kdebase-runtime-dbg replaces kdebase-workspace-dbg (<< 4.2.90)
    because plasmapkg was moved upstream.
  * Add replaces: kdebase-runtime replaces kdebase-bin (<< 4.2.90),
    kdebase-runtime-dbg replaces kdebase-dbg (<< 4.2.90) and kdebase-runtime-data
    replaces kdebase-data (<< 4.2.90) because kdeditfiletype was moved upstream.
  * Add replaces: kdebase-runtime-data replaces akonadi-kde (<< 4.2.90) because
    some nepomuk-related files were moved upstream.
  * Add myself in uploaders.
  * Drop package kde-icons-oxygen as it was moved to a separate source package.
  * Make kdebase-runtime depend on oxygen-icon-theme (>= 4.2.90),
    instead of kde-icons-oxygen (>= ${source:Version}).
  * Make kdebase-runtime depend on phonon-backend-xine | phonon-backend, so
    that the xine backend is preferred.

  +++ Changes by Sune Vuorela:

  * More installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Jun 2009 18:01:03 +0300

kdebase-runtime (4:4.2.4-2) unstable; urgency=medium

  * Move a file from kde-icons-oxygen to kdebase-runtime-data where it
    belongs.
  * Medium urgency as this is a quite important fix to ease the users upgrades
    to kde4.3.

 -- Sune Vuorela <debian@pusling.com>  Sat, 04 Jul 2009 00:39:41 +0200

kdebase-runtime (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Update sections.

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version to 3.8.1. No changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 01 May 2009 13:49:01 +0200

kdebase-runtime (4:4.2.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Bump build-deps.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 05 Apr 2009 01:36:57 +0200

kdebase-runtime (4:4.2.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 12 Mar 2009 20:01:15 +0100

kdebase-runtime (4:4.2.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Pino Toscano:

  * Simplify 25_khelp_htdig.diff and make it work again.
  * Suggest djvulibre-bin in kdebase-runtime, as it provides a DjVu thumbnail
    plugin which calls `ddjvu`.

  +++ Changes by Modestas Vainius:

  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Feb 2009 23:20:40 +0200

kdebase-runtime (4:4.2.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Drop build dependency on kdepimlibs5-dev.
  * Bump build dependency on kdelibs5-dev to 4.2.0.
  * Remove cmake build dependency (gets pulled via kdelibs5-dev).
  * Bump strigi build dependencies to 0.6.3.
  * Refresh 03_ktrash4.diff patch.
  * Add build dependency on libjpeg62-dev, libqt4-opengl-dev and
    libpulse-dev.
  * Add debian/README.source.
  * Update install and installgen files.
  * Drop phonon-backend-xine package. Also make kdebase-runtime(-data) not to
    depend on phonon-backend-xine and conflict with previous
    phonon-backend-xine versions (due to moved kcm_phononxine).
  * kdebase-runtime-data replaces kdebase-workspace-data << 4:4.1.85+svn897913
    due to moved windowmanagers desktop files and default plasma desktoptheme.
  * Switch to new installgen format.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).
  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;
    - replace debian/cdbs/kde.mk with
      /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk in debian/rules.

  +++ Changes by George Kiagiadakis:

  * kdebase-runtime-data replaces kdelibs5-data << 4:4.1.80 due to moved
    nepomuk files.
  * kdebase-runtime replaces kdelibs5 and kdelibs-bin << 4:4.1.80
    due to some kded modules and kwalletd that were moved.
  * kdebase-runtime-dbg replaces kdelibs5-dbg << 4:4.1.80 for the same
    reason as above.
  * Bump build dependency on libsoprano-dev to 2.1.64.
  * Allow kdesud to install with setgid root in order to enable
    the remember password feature in kdesu.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Refresh 01_kde4_information_menu.diff.
  * Add information about the patches to 2_ksvgtopng4 and 03_ktrash4.
  * Update versioned depend on phonon to 4.2.0.

  +++ Changes by Sune Vuorela:

  * Update copyright file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 Jan 2009 20:08:42 +0100

kdebase-runtime (4:4.1.4-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends.

  +++ Changes by Modestas Vainius:

  * Bump build dependency on kdepimlibs5-dev and kdelibs5-dev to 4.1.4-1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Jan 2009 22:26:26 +0100

kdebase-runtime (4:4.1.3-1) experimental; urgency=low

  * New upstream release
    - few files missed, probably a outdated manual.

 -- Sune Vuorela <debian@pusling.com>  Sat, 01 Nov 2008 11:57:12 +0100

kdebase-runtime (4:4.1.2-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Revert /usr/bin/kdesu link. It is *not* expected to be there. Reopens 495999.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update kdebase-runtime-data.install.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 28 Sep 2008 15:22:21 +0200

kdebase-runtime (4:4.1.1-2) experimental; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Fix htdig paths, so Build Search Index should work now. (Closes: #497518)
    Patch 25_khelp_htdig.diff.

  +++ Changes by Modestas Vainius:

  * Provide the link /usr/bin/kdesu in kdebase-runtime-bin-kde4.
    (Closes: #495999)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Sep 2008 14:43:46 +0200

kdebase-runtime (4:4.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Refresh patches:
    + Remove 05_r839927_qreal.diff - merged upstream.
  * Remove KHelpcenter icons, they seem have moved away.
  * Rename Applets.desktop in khelpcenter, it is now called plasma.desktop.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 02 Sep 2008 18:34:08 +0200

kdebase-runtime (4:4.1.0-2) unstable; urgency=high

  +++ Changes by Pino Toscano:

  * Add upstream patch 05_r839927_qreal.diff to fix the build of phonon-xine
    when qreal is not double but float.

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version to 3.8.0 (no changes needed).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 31 Jul 2008 10:09:25 +0200

kdebase-runtime (4:4.1.0-1) unstable; urgency=low

  * New upstream released.
  * Update build depends.
  * Reviewed copyright file. (Closes: #486343)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 25 Jul 2008 23:49:44 +0200

kdebase-runtime (4:4.0.98-1) unstable; urgency=low

  * New upstream release, Release Candidate 1.

  +++ Changes by Modestas Vainius:

  * Remove Provides: phonon-backend, phonon-backend-xine from kdebase-runtime
    (Closes: #489801). kdebase-runtime does not shipped them, but
    phonon-backend-xine package does.
  * Correct ${source:Version} to ${binary:Version} in kdebase-runtime depends.
  * Move phononxine kcm module from kdebase-runtime* to phonon-backend-xine.
    Update Replaces as appropriate. That should make kdebase-runtime drop
    xine dependency.
  * kde-icons-oxygen replaces previous versions of libkdepim4
    (due to move of 32x32/actions/appointment-new.png).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.
  * Bump build depends on >= 4.0.98.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 14 Jul 2008 12:59:14 +0200

kdebase-runtime (4:4.0.84+svn828328-1) unstable; urgency=low

  * New upstream development snapshot.
  * Remove 97_fix_target_link_libraries.diff, it is not needed now.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 05 Jul 2008 18:59:53 +0200

kdebase-runtime (4:4.0.84-1) experimental; urgency=low

  * New upstream snapshot.
  * Add build depend on libxcursor-dev.

 -- Sune Vuorela <debian@pusling.com>  Fri, 27 Jun 2008 20:54:53 +0200

kdebase-runtime (4:4.0.82+svn819867-1) experimental; urgency=low

  * New upstream development snapshot.
  * Update install files.

  +++ Changes by Modestas Vainius:

  * Build depend on libasound2-dev on linux arches.
  * Add replaces with kdelibs5* due to moved phonon stuff.
  * Bump kdelibs5 build depends version. No longer depend on phonon, it's
    implied via kdelibs5-dev dependency.
  * Update 97_fix_target_link_libraries.diff.
  * Add myself to Uploaders.
  * Exclude dependancy on phonon metapackage.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * More updates on installed files.

  +++ Changes by Pino Toscano:

  * Split the Xine backend of Phonon in an own phonon-backend-xine.
  * Install phonon-backend-xine by default.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 14 Jun 2008 03:48:19 +0200

kdebase-runtime (4:4.0.80-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Install desktop-directory files to kdebase-runtime-data-common (37 files).
  * Bump kdepimlibs5-dev and libphonon-dev build dependencies to 4.0.80
    (Closes: #483117)
  * Revive khelpcenter (from r9108) as khelpcenter4 package. Make it conflict
    with khelpcenter (KDE3). Make kdebase-runtime-data-common recommend
    khelpcenter4.
    - Add some replaces for khelpcenter4: kdebase-runtime-data due to
      Help.desktop and org.kde.khelpcenter.kcmhelpcenter.xml, kdebase-runtime
      due to libkdeinit4_khelpcenter.so. Update respective install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 May 2008 22:22:42 +0200

kdebase-runtime (4:4.0.80-1) experimental; urgency=low

  * New upstream development milestone (KDE 4.1 Beta1).

  +++ Changes by Modestas Vainius:

  * Resync 97th patch.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 May 2008 16:47:21 +0300

kdebase-runtime (4:4.0.74-1) experimental; urgency=low

  * New upstream snapshot.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 16 May 2008 13:38:34 +0200

kdebase-runtime (4:4.0.73+svn807734-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r807734 by mkretz
    - Date: Wed May 14 15:44:43 2008 UTC

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 May 2008 21:20:39 +0200

kdebase-runtime (4:4.0.72-1) experimental; urgency=low

  * New upstream development snapshot.

  +++ Changes by Fathi Boudra:

  * Add libstreamanalyzer-dev and libx11-dev build dependencies.

  +++ Changes by Modestas Vainius:

  * Add build dependencies on libopenexr-dev and libbz2-dev.
  * Add 97_fix_target_link_libraries.diff to fix link failures.
  * Add installgen files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Apr 2008 22:04:19 +0200

kdebase-runtime (4:4.0.68+svn794641-1) experimental; urgency=low

  * New upstream snapshot.

  +++ Changes by Sune Vuorela:

  * Some files conflicting with kde3 kdebase-data moved in from -workspace.
    They also don't belong in runtime, but windows don't have workspace. Put
    them in not-installed so far. This is post revision 792360.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 03 Apr 2008 23:42:16 +0200

kdebase-runtime (4:4.0.66+svn791114-1) experimental; urgency=low

  * First KDE 4.1 snapshot packaged, this goes to experimental.
  * Update installed files.
  * Bump build depends on >= 4.0.66
  * Build depends on strigi >= 0.5.8-2 built against Qt 4.4 on experimental
    and soprano >= 2.0.97~.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 28 Mar 2008 15:05:35 +0100

kdebase-runtime (4:4.0.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Armin Berres:

  * Ignore debug symbols from kdebase-runtime-kde4 (Closes: #464106)

  +++ Changes by Fathi Boudra:

  * Add /usr/share/doc/KDE4/html/en/*/common in kdebase-runtime-data package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Mar 2008 22:43:18 +0100

kdebase-runtime (4:4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Bump to build-depends >= 4:4.0.1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Feb 2008 13:45:37 +0100

kdebase-runtime (4:4.0.0-3) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Do not ship khelpcenter for now, KDE 4 does not contain any help anyway,
    and it is updating KDE 3's khelpcenter. (Closes: #462227)
  * Move Conflict on kdebluetooth from the source fields to the
    kdebase-runtime package fields.

  +++ Changes by Matthew Rosewarne:

  * Changed kdebase-runtime-dbg Depends: kdelibs5-dbg to kdepimlibs-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 22 Jan 2008 20:07:02 -0500

kdebase-runtime (4:4.0.0-2) unstable; urgency=low

  +++ Changes by Armin Berres:

  * Add conflicts and replaces for a smoother upgrade.

  +++ Changes by Fathi Boudra:

  * Add hal and pmount Recommends to kdebase-runtime-bin-kde4 package,
    previously in kde4libs.
  * Add conflicts to kdebase-runtime against kdebluetooth << 1.0~beta7-1.
    because of /usr/bin/kioclient. (Closes: #461211)
  * Add Vcs-Browser and Vcs-Svn fields.
  * Bump compat/debhelper to 6.

  +++ Changes by Matthew Rosewarne:

  * Tweak package descriptions.
  * Change Soprano minimum version to 2.0.0.
  * Change KDE 4 dependency version to 4:4.0.0-1.
  * Remove unnecessary Replaces.
  * Make dependencies binNMU-friendly.
  * Change kdebase-runtime-dbg Depends from kdepimlibs-dbg to kdelibs5-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 22 Jan 2008 10:18:14 +0100

kdebase-runtime (4:4.0.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Armin Berres:

  * Add a patch to make kdebugdialog only select debug areas
    which aren't enabled.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update *.install files, sounds files have been renamed and they are all
    now only in kdebase-runtime-data without clashing with KDE3's files.
  * Update years in copyright.
  * Bump build-depends to >= 4.0.0-1.

  +++ Changes by Matthew Rosewarne:

  * Add Homepage: to control.
  * Tweak package descriptions.
  * Replace source:Version with binary:Version.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 05 Jan 2008 08:04:49 +0100

kdebase-runtime (4:3.98.0~svn755919-1) experimental; urgency=low

  * New svn snapshot release to revision 755919.

  +++ Changes by Fathi Boudra:

  * Add libphonon-dev build dependency.
  * Bump soprano build dependency version.

  +++ Changes by Armin Berres:

  * Raise build-dep to >= 4:3.98.0~svn755919-1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 02 Jan 2008 11:12:58 +0100

kdebase-runtime (4:3.98.0~svn753247-1) experimental; urgency=low

  * Svn snapshot of revision 753247.

  +++ Changes by Armin Berres:

  * Replace the meta-package kdebase-workspace with the former content of the
    now removed kdebase-runtime-bin.
  * Use source:Version when depending on arch-all packages.
  * Make dependency of kdebase-runtime-data on kdebase-runtime-data-common
    versioned.
  * Add some missing replaces when conflicting with packages.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build-dep to >= 4:3.98.0~svn753247-1.
  * Update *.install files.
  * Remove kinfocenter, it has been moved to kdebase.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 27 Dec 2007 02:36:47 +0100

kdebase-runtime (4:3.97.0-1) experimental; urgency=low

  * New upstream release:
    - Bump build-dep to >=4:3.97.0.
    - Add epoch to kdepimlibs build-dep.
    - Update *.install files.
  * Update Standards-Version to 3.7.3.
  * khelpenter still needs htdig, add Depends on it.
  * Add export LDFLAGS+="-Wl,--as-needed" in rules to make dpkg-shlibdeps
    happier.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 07 Dec 2007 17:31:14 +0100

kdebase-runtime (4:3.96.0-2) experimental; urgency=low

  * kdebase-runtime-bin-kde4 must be Arch: any. (Closes: #452538)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 23 Nov 2007 18:51:07 +0100

kdebase-runtime (4:3.96.0-1) experimental; urgency=low

  *  New upstream release.

  +++ Changes by Armin Berres:

  * Depend on up to date kdepimlibs5-dev.
  * Split kdebase-runtime-data-common off which contains conflicting files with KDE3's
    kdebase-data package. kdebase-runtime-data-common will be installed if
    KDE3's kdebase-data is not installed.
  * Split out kdebase-runtime-bin-kde4 which contains files which can be
    provided by KDE3 or KDE4.
  * kdebase-runtime-data must replace kdebase-data versions less than
    4:3.95.0 and not 3.95.0.
  * Fix 02_ksvgtopng4 and 03_ktrash4 patches.
  * Move the rest of drkonqi into kdebase-runtime-data and remove the package.
  * Move kinfocenter into a separate package.

  +++ Changes by Fathi Boudra:

  * Remove 01_knotify4_desktop patch. Merged upstream.
  * Bump kdepimlibs5-dev build dependency version.
  * Add libclucene-dev, libsoprano-dev and libstrigiqtdbusclient-dev build
    dependencies for nepomuk.
  * Update installed files.
  * Add 01_kde4_information_menu: prepend kde4 to information.menu.
  * Add 02_ksvgtopng4: append 4 to ksvgtopng.
  * Add 03_ktrash4: append 4 to ktrash.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Nov 2007 22:33:53 +0100

kdebase-runtime (4:3.95.0-1) experimental; urgency=low

  * KDE 4 beta 4, first upload to the Debian archive.

  +++ Changes by Armin Berres:

  * Initial release with KDE4 beta 4. Former part of kdebase.

  +++ Changes by Fathi Boudra:

  * Add kdebase-runtime-data build dependency to kdebase-runtime-bin.
  * Add 01_knotify4_desktop patch. Execute the right binary name.
  * Add gdb dependency to drkonqi.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 31 Oct 2007 14:30:35 +0100
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com